Freeciv-3.1: packet_unit_short_info Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
packet_unit_short_info Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | id16
int | id32
int | owner
int | tile
enum direction8 | facing
Unit_type_id | type
int | veteran
bool | occupied
bool | transported
int | hp
int | activity
int | activity_tgt
int | transported_by16
int | transported_by32
int | packet_use
int | info_city_id16
int | info_city_id32

## Detailed Description

Definition at line 684 of file packets_gen.h.

## Field Documentation

## ◆ activity

int packet_unit_short_info::activity

Definition at line 695 of file packets_gen.h.

Referenced by package_short_unit(), send_packet_unit_short_info_100(), send_packet_unit_short_info_101(), and unpackage_short_unit().

## ◆ activity_tgt

int packet_unit_short_info::activity_tgt

Definition at line 696 of file packets_gen.h.

Referenced by package_short_unit(), send_packet_unit_short_info_100(), send_packet_unit_short_info_101(), and unpackage_short_unit().

## ◆ facing

enum direction8 packet_unit_short_info::facing

Definition at line 689 of file packets_gen.h.

Referenced by package_short_unit(), send_packet_unit_short_info_100(), send_packet_unit_short_info_101(), and unpackage_short_unit().

## ◆ hp

int packet_unit_short_info::hp

Definition at line 694 of file packets_gen.h.

Referenced by package_short_unit(), send_packet_unit_short_info_100(), send_packet_unit_short_info_101(), and unpackage_short_unit().

## ◆ id16

int packet_unit_short_info::id16

Definition at line 685 of file packets_gen.h.

Referenced by package_short_unit(), receive_packet_unit_short_info_101(), send_packet_unit_short_info_101(), and unpackage_short_unit().

## ◆ id32

int packet_unit_short_info::id32

Definition at line 686 of file packets_gen.h.

Referenced by package_short_unit(), send_packet_unit_short_info_100(), and unpackage_short_unit().

## ◆ info_city_id16

int packet_unit_short_info::info_city_id16

Definition at line 700 of file packets_gen.h.

Referenced by handle_unit_short_info(), package_short_unit(), and send_packet_unit_short_info_101().

## ◆ info_city_id32

int packet_unit_short_info::info_city_id32

Definition at line 701 of file packets_gen.h.

Referenced by handle_unit_short_info(), package_short_unit(), and send_packet_unit_short_info_100().

## ◆ occupied

bool packet_unit_short_info::occupied

Definition at line 692 of file packets_gen.h.

Referenced by package_short_unit(), send_packet_unit_short_info_100(), send_packet_unit_short_info_101(), and unpackage_short_unit().

## ◆ owner

int packet_unit_short_info::owner

Definition at line 687 of file packets_gen.h.

Referenced by handle_unit_short_info(), package_short_unit(), send_packet_unit_short_info_100(), send_packet_unit_short_info_101(), and unpackage_short_unit().

## ◆ packet_use

int packet_unit_short_info::packet_use

Definition at line 699 of file packets_gen.h.

Referenced by handle_unit_short_info(), package_short_unit(), send_packet_unit_short_info_100(), and send_packet_unit_short_info_101().

## ◆ tile

int packet_unit_short_info::tile

Definition at line 688 of file packets_gen.h.

Referenced by package_short_unit(), send_packet_unit_short_info_100(), send_packet_unit_short_info_101(), and unpackage_short_unit().

## ◆ transported

bool packet_unit_short_info::transported

Definition at line 693 of file packets_gen.h.

Referenced by package_short_unit(), send_packet_unit_short_info_100(), send_packet_unit_short_info_101(), and unpackage_short_unit().

## ◆ transported_by16

int packet_unit_short_info::transported_by16

Definition at line 697 of file packets_gen.h.

Referenced by package_short_unit(), send_packet_unit_short_info_101(), and unpackage_short_unit().

## ◆ transported_by32

int packet_unit_short_info::transported_by32

Definition at line 698 of file packets_gen.h.

Referenced by package_short_unit(), send_packet_unit_short_info_100(), and unpackage_short_unit().

## ◆ type

Unit_type_id packet_unit_short_info::type

Definition at line 690 of file packets_gen.h.

Referenced by package_short_unit(), send_packet_unit_short_info_100(), send_packet_unit_short_info_101(), and unpackage_short_unit().

## ◆ veteran

int packet_unit_short_info::veteran

Definition at line 691 of file packets_gen.h.

Referenced by package_short_unit(), send_packet_unit_short_info_100(), send_packet_unit_short_info_101(), and unpackage_short_unit().